Class | Bio::EBI::SOAP
In: | lib/bio/io/ebisoap.rb
Parent: | Bio::SOAPWSDL

### Methods

new

### Classes and Modules

Class Bio::EBI::SOAP::Citation
Class Bio::EBI::SOAP::ClustalW
Class Bio::EBI::SOAP::Dbfetch
Class Bio::EBI::SOAP::Emboss
Class Bio::EBI::SOAP::Fasta
Class Bio::EBI::SOAP::InterProScan
Class Bio::EBI::SOAP::MPsrch
Class Bio::EBI::SOAP::MSD
Class Bio::EBI::SOAP::Muscle
Class Bio::EBI::SOAP::Ontology
Class Bio::EBI::SOAP::ScanPS
Class Bio::EBI::SOAP::TCoffee
Class Bio::EBI::SOAP::WUBlast

### Constants

BASE_URI | = | "http://www.ebi.ac.uk/Tools/webservices/wsdl/"
SERVER_URI | = | BASE_URI + "WSDbfetch.wsdl" |  | set default to Dbfetch

### Public Class methods

new(wsdl = nil)

[Source]

        # File lib/bio/io/ebisoap.rb, line 23
    23:   def initialize(wsdl = nil)
    24:     super(wsdl || self.class::SERVER_URI)
    25:   end

[Validate]